%define major 6
%define libxt %mklibname xt %major
%define libxt_devel %mklibname xt -d
%define libxt_static_devel %mklibname xt -d -s

Name: libxt
Summary: X Toolkit Intrinsics library
Version: 1.1.2
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXt-%{version}.tar.bz2
# https://bugs.freedesktop.org/show_bug.cgi?id=47203
# http://cgit.freedesktop.org/xorg/lib/libXt/commit/?id=75bef5b488245467b6638e25cd22006b306e8536
Patch0:	75bef5b488245467b6638e25cd22006b306e8536.patch
BuildRequires: libsm-devel >= 1.0.0
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Toolkit Intrinsics library used to build older generation toolkits such
as Motif & Xaw.

#-----------------------------------------------------------

%package -n %{libxt}
Summary: X Toolkit Intrinsics library
Group: Development/X11
Requires: x11-font-daewoo-misc
Requires: x11-font-isas-misc
Requires: x11-font-jis-misc
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxt}
X Toolkit Intrinsics library used to build older generation toolkits such
as Motif & Xaw.

%files -n %{libxt}
%{_libdir}/libXt.so.%{major}*

#-----------------------------------------------------------

%package -n %{libxt_devel}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxt} = %{version}
Requires: x11-proto-devel >= 1.0.0
Requires: libx11-devel >= 1.0.0
Requires: libsm-devel >= 1.0.0
Provides: libxt-devel = %{version}-%{release}

Obsoletes: %mklibname xt 6 -d
Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxt_devel}
Development files for %{name}.

%pre -n %{libxt_devel}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxt_devel}
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
%{_includedir}/X11/Core.h
%{_includedir}/X11/VarargsI.h
%{_includedir}/X11/RectObj.h
%{_includedir}/X11/TranslateI.h
%{_includedir}/X11/Vendor.h
%{_includedir}/X11/CallbackI.h
%{_includedir}/X11/ResConfigP.h
%{_includedir}/X11/IntrinsicI.h
%{_includedir}/X11/IntrinsicP.h
%{_includedir}/X11/ConstrainP.h
%{_includedir}/X11/Constraint.h
%{_includedir}/X11/InitialI.h
%{_includedir}/X11/EventI.h
%{_includedir}/X11/ObjectP.h
%{_includedir}/X11/Xtos.h
%{_includedir}/X11/CreateI.h
%{_includedir}/X11/Intrinsic.h
%{_includedir}/X11/CoreP.h
%{_includedir}/X11/Object.h
%{_includedir}/X11/CompositeP.h
%{_includedir}/X11/HookObjI.h
%{_includedir}/X11/RectObjP.h
%{_includedir}/X11/ConvertI.h
%{_includedir}/X11/Shell.h
%{_includedir}/X11/ShellI.h
%{_includedir}/X11/ShellP.h
%{_includedir}/X11/StringDefs.h
%{_includedir}/X11/VendorP.h
%{_includedir}/X11/SelectionI.h
%{_includedir}/X11/PassivGraI.h
%{_includedir}/X11/Composite.h
%{_includedir}/X11/ThreadsI.h
%{_includedir}/X11/ResourceI.h
%{_mandir}/man3/Xt*.3*
%{_mandir}/man3/Menu*
%{_datadir}/doc/libXt/*

#-----------------------------------------------------------

%package -n %{libxt_static_devel}
Summary: Static development files for %{name}
Group: Development/X11
Requires: libxt-devel = %{version}
Provides: libxt-static-devel = %{version}-%{release}

Obsoletes: %mklibname xt 6 -d -s
Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxt_static_devel}
Static development files for %{name}.

%files -n %{libxt_static_devel}
%{_libdir}/libXt.a

#-----------------------------------------------------------

%prep
%setup -q -n libXt-%{version}
%apply_patches 

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete



%changelog

* Tue Mar 13 2012 tv <tv> 1.1.2-2.mga2
+ Revision: 223183
- apply a revert patch from upstreal that causes issues (mga#4907, fdo#47203)

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222190
- adjust file list
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.1.1-3.mga2
+ Revision: 170141
- Remove .la files

* Thu Mar 24 2011 boklm <boklm> 1.1.1-2.mga1
+ Revision: 76187
- rebuild for bug #497

* Thu Mar 10 2011 tv <tv> 1.1.1-1.mga1
+ Revision: 67790
- new release

* Sat Mar 05 2011 tv <tv> 1.1.0-1.mga1
+ Revision: 64670
- new release

* Thu Jan 13 2011 ahmad <ahmad> 1.0.9-4.mga1
+ Revision: 7901
- drop old/unneeded scriptlets
- imported package libxt

